Actions

Talk

Upgrading from Joomla 1.7 to Joomla 2.5

From Joomla! Documentation

Revision as of 16:43, 26 January 2012 by Chris Davenport (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Contents

Is It Time to Change the Title of This Article?

Now that 1.6 and 1.7 are deprecated and 2.5 is here, should the title of this page be changed? Perhaps it would be better to leave this one in place and create a new article with the title of Migrating from Joomla 1.5 to Joomla 2.5.

cmb 21:04, 25 January 2012 (CST)

Yes. Hmm. I got the redirect the wrong way round. I'll fix it when I get back from work. Chris Davenport 23:59, 25 January 2012 (CST)

Hmm, indeed. When I wrote the question above, there were no redirects in place. Now I can't find the original article. It looks like there's a loop somewhere, Chris.

cmb 11:39, 26 January 2012 (CST)

Add PHP Check

Please add PHP check to the update script. If version==4, then prompt "Please upgrade your PHP"

Otherwise the error message is "Fatal error: Only variables can be passed by reference in /var/www/html/administrator/components/com_jupgrade/views/cpanel/view.html.php on line 35"

-- THANKS -- MichaelJanich 06:41, 19 January 2011 (UTC)

install mootools plugin, switch to a default template

you might want to add two requirements:

  1. install the mootools plugin
  2. switch to a default template first

Without mootools the installation process got stuck (from 1.5.2), using a custom made template, too. --Marek 17:27, 7 February 2011 (UTC)

mootools

I added the install the mootools plugin section (without screenshots) --Weissollo 22:09, 9 February 2011 (UTC)

I added a section that describes how to manually upgrade joomla. If anyone has anything to add to it, please feel free.

To the previous poster here: I don't want to play down your efforts - but as far as I can tell, the database part of the migration definitely does NOT work that way. First off, there's actually no need to change the prefix; and second (and far more importantly): you can't simply import a 1.5 table dump into 1.6 tables! They have completely different structures; I can't really tell for 1.6 at the moment, but 1.7 e.g. has no name column in article anymore, but an asset_id... and many more changes to the columns! So you'll definitely need some kind of migration script here! Since I did the migration via JUpgrade, I don't have any working manual upgrade instructions at hand either at the moment, so I unfortunately can't contribute much constructively here, but I'll change the section so that it becomes clear that it still needs work to be complete. Munchkin 06:00, 18 October 2011 (CDT)

Remove "Do you NEED to migrate?"

Remove step 7. under Before you get started? as its now January 2012, and there is no reason to not migrate to 2.5 soon, as the 1.5 EOL is getting closer.